DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# ExtendRegion

Image manipulation functions

## SYNOPSIS

`#include "dip_manipulation.h"`

dip_Error dip_ExtendRegion ( image, origin, regDims, bc, ordering, imValues )

## FUNCTION

This functions extends a region in an image with a specified boundary condition.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `image` | Image
`dip_IntegerArray` | `origin` | Origin
`dip_IntegerArray` | `regDims` | RegDims
`dip_BoundaryArray` | `bc` | Boundary conditions
`dip_IntegerArray` | `ordering` | Ordering
`dip_Image *` | `imValues` | Complex values

DIPlib on-line documentation | Function reference | Global function index